org.optaplanner.benchmark.impl.statistic

## Class SubSingleStatistic<Solution_,StatisticPoint_ extends StatisticPoint>

- java.lang.Object
- - org.optaplanner.benchmark.impl.statistic.SubSingleStatistic<Solution_,StatisticPoint_>

- Direct Known Subclasses:
    ProblemBasedSubSingleStatistic, PureSubSingleStatistic

      public abstract class SubSingleStatistic<Solution_,StatisticPoint_ extends StatisticPoint>
      extends Object

  1 statistic of `SubSingleBenchmarkResult`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.slf4j.Logger` | `logger`
    `protected List<StatisticPoint_>` | `pointList`
    `protected SubSingleBenchmarkResult` | `subSingleBenchmarkResult`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SubSingleStatistic(SubSingleBenchmarkResult subSingleBenchmarkResult)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `close(Solver<Solution_> solver)`
    `protected abstract StatisticPoint_` | `createPointFromCsvLine(ScoreDefinition scoreDefinition, List<String> csvLine)`
    `String` | `getAnchorId()`
    `File` | `getCsvFile()`
    `String` | `getCsvFileName()`
    `protected abstract String` | `getCsvHeader()`
    `List<StatisticPoint_>` | `getPointList()`
    `String` | `getRelativeCsvFilePath()`
    `abstract StatisticType` | `getStatisticType()`
    `SubSingleBenchmarkResult` | `getSubSingleBenchmarkResult()`
    `void` | `hibernatePointList()`
    `void` | `initPointList()`
    `abstract void` | `open(Solver<Solution_> solver)`
    `void` | `setPointList(List<StatisticPoint_> pointList)`
    `void` | `setSubSingleBenchmarkResult(SubSingleBenchmarkResult subSingleBenchmarkResult)`
    `void` | `unhibernatePointList()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected final transient org.slf4j.Logger logger

    - #### subSingleBenchmarkResult

          protected SubSingleBenchmarkResult subSingleBenchmarkResult

    - #### pointList

          protected List<StatisticPoint_ extends StatisticPoint> pointList

  - ### Constructor Detail

    - #### SubSingleStatistic

          protected SubSingleStatistic(SubSingleBenchmarkResult subSingleBenchmarkResult)

  - ### Method Detail

    - #### getSubSingleBenchmarkResult

          public SubSingleBenchmarkResult getSubSingleBenchmarkResult()

    - #### setSubSingleBenchmarkResult

          public void setSubSingleBenchmarkResult(SubSingleBenchmarkResult subSingleBenchmarkResult)

    - #### getStatisticType

          public abstract StatisticType getStatisticType()

    - #### getPointList

          public List<StatisticPoint_> getPointList()

    - #### setPointList

          public void setPointList(List<StatisticPoint_> pointList)

    - #### getRelativeCsvFilePath

          public String getRelativeCsvFilePath()

      Returns:
        never null, the relative path from `PlannerBenchmarkResult.getBenchmarkReportDirectory()`.

    - #### getCsvFileName

          public String getCsvFileName()

    - #### getCsvFile

          public File getCsvFile()

    - #### open

          public abstract void open(Solver<Solution_> solver)

    - #### close

          public abstract void close(Solver<Solution_> solver)

    - #### initPointList

          public void initPointList()

    - #### getCsvHeader

          protected abstract String getCsvHeader()

    - #### unhibernatePointList

          public void unhibernatePointList()

    - #### hibernatePointList

          public void hibernatePointList()

    - #### createPointFromCsvLine

          protected abstract StatisticPoint_ createPointFromCsvLine(ScoreDefinition scoreDefinition,
                                                                    List<String> csvLine)

    - #### getAnchorId

          public String getAnchorId()

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.